Name: mozilla-l10n-cs_CZ
Summary: Language files for mozilla in Czech
Version: 1.3.1
Release: 4.1mdk
BuildArch: noarch
Group: Networking/WWW
License: GPL
Url: http://www.czilla.cz/
Source0: http://ftp.czilla.cz/l10n/1.3/regcz.xpi
Source1: http://ftp.czilla.cz/l10n/1.3/langcscz.xpi
BuildRequires: unzip
Requires: mozilla = 1.3.1
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
Language file to translate mozilla in Czech

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p %{name}
cd %{name}
unzip -o %{SOURCE0}
unzip -o %{SOURCE1}

%build

%install
cd %{name}
%{__install} -d %{buildroot}%{_libdir}/mozilla-%{version}/chrome
for i in bin/chrome/* ; do
  %{__install} -m 644 $i %{buildroot}%{_libdir}/mozilla-%{version}/chrome/
done
%{__install} -d %{buildroot}%{_libdir}/mozilla-%{version}/searchplugins
cp -af bin/searchplugins/*  %{buildroot}%{_libdir}/mozilla-%{version}/searchplugins
%{__install} -d %{buildroot}%{_libdir}/mozilla-%{version}/defaults/messenger
%{__install} -d %{buildroot}%{_libdir}/mozilla-%{version}/defaults/profile
%{__install} -d %{buildroot}%{_libdir}/mozilla-%{version}/defaults/messenger/CZ
cp -af bin/defaults/messenger/CZ/*  %{buildroot}%{_libdir}/mozilla-%{version}/defaults/messenger/CZ
%{__install} -d %{buildroot}%{_libdir}/mozilla-%{version}/defaults/profile/CZ
cp -afR bin/defaults/profile/CZ/*  %{buildroot}%{_libdir}/mozilla-%{version}/defaults/profile/CZ


%post

# remove old version from installed-chrome

cd %{_libdir}/mozilla-%{version}/chrome
mv -f installed-chrome.txt installed-chrome.bak
sed -e '/chrome\/cs-CZ.jar/d' -e '/chrome\/CZ.jar/d' -e '/chrome\/cs-unix.jar/d' installed-chrome.bak > installed-chrome.txt

# add new version to installed-chrome.txt
cat <<EOF >> %{_libdir}/mozilla-%{version}/chrome/installed-chrome.txt
locale,install,url,jar:resource:/chrome/cs-CZ.jar!/locale/cs-CZ/autoconfig/
locale,install,url,jar:resource:/chrome/cs-CZ.jar!/locale/cs-CZ/chatzilla/
locale,install,url,jar:resource:/chrome/cs-CZ.jar!/locale/cs-CZ/communicator/
locale,install,url,jar:resource:/chrome/cs-CZ.jar!/locale/cs-CZ/content-packs/
locale,install,url,jar:resource:/chrome/cs-CZ.jar!/locale/cs-CZ/cookie/
locale,install,url,jar:resource:/chrome/cs-CZ.jar!/locale/cs-CZ/editor/
locale,install,url,jar:resource:/chrome/cs-CZ.jar!/locale/cs-CZ/global/
locale,install,url,jar:resource:/chrome/cs-CZ.jar!/locale/cs-CZ/help/
locale,install,url,jar:resource:/chrome/cs-CZ.jar!/locale/cs-CZ/inspector/
locale,install,url,jar:resource:/chrome/cs-CZ.jar!/locale/cs-CZ/messenger/
locale,install,url,jar:resource:/chrome/cs-CZ.jar!/locale/cs-CZ/messenger-mdn/
locale,install,url,jar:resource:/chrome/cs-CZ.jar!/locale/cs-CZ/messenger-smime/
locale,install,url,jar:resource:/chrome/cs-CZ.jar!/locale/cs-CZ/mozldap/
locale,install,url,jar:resource:/chrome/cs-CZ.jar!/locale/cs-CZ/navigator/
locale,install,url,jar:resource:/chrome/cs-CZ.jar!/locale/cs-CZ/necko/
locale,install,url,jar:resource:/chrome/cs-CZ.jar!/locale/cs-CZ/pipnss/
locale,install,url,jar:resource:/chrome/cs-CZ.jar!/locale/cs-CZ/pippki/
locale,install,url,jar:resource:/chrome/cs-CZ.jar!/locale/cs-CZ/venkman/
locale,install,url,jar:resource:/chrome/cs-CZ.jar!/locale/cs-CZ/wallet/
locale,install,url,jar:resource:/chrome/cs-unix.jar!/locale/cs-CZ/communicator-platform/
locale,install,url,jar:resource:/chrome/cs-unix.jar!/locale/cs-CZ/global-platform/
locale,install,url,jar:resource:/chrome/cs-unix.jar!/locale/cs-CZ/navigator-platform/
locale,install,url,jar:resource:/chrome/CZ.jar!/locale/CZ/communicator-region/
locale,install,url,jar:resource:/chrome/CZ.jar!/locale/CZ/editor-region/
locale,install,url,jar:resource:/chrome/CZ.jar!/locale/CZ/global-region/
locale,install,url,jar:resource:/chrome/CZ.jar!/locale/CZ/messenger-region/
locale,install,url,jar:resource:/chrome/CZ.jar!/locale/CZ/navigator-region/
EOF

if [ -x %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun
if [ $1 = 0 ] ; then
  cd %{_libdir}/mozilla-%{version}/chrome
  mv -f installed-chrome.txt installed-chrome.bak
  sed -e '/chrome\/cs-CZ.jar/d' -e '/chrome\/CZ.jar/d' -e '/chrome\/cs-unix.jar/d' installed-chrome.bak > installed-chrome.txt
  if [ -x %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
      %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
  fi
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/mozilla-%{version}/chrome/*
%{_libdir}/mozilla-%{version}/searchplugins/*
%{_libdir}/mozilla-%{version}/defaults/*

%changelog
* Thu May 29 2003 Radek Vybiral <radek@snake.cz> 1.3.1-4.1mdk
- update for 1.3.1
- clean up

* Wed May 14 2003 Radek Vybiral <radek@snake.cz> 1.3-1mdk
- first version
